API Reference for Marketo Engage

Sync Program Member Data

POST /rest/v1/programs/{programId}/members.json

Changes the program member data of a list of leads in a target program. Only existing members of the program may have their data changed with this API.

Operation ID
syncProgramMemberDataUsingPOST
Permissions
Read-Write Lead
Request format
application/json
Returns
ResponseOfProgramMemberData

Parameters

Path 1

programId integer (int64) required

The id of target program.

Request body

application/json · required · SyncProgramMemberDataRequest · 4 properties

input array of ProgramMemberData required

List of input records

Model ProgramMemberData

leadId integer (int64) required

Unique integer id of a lead record

{fieldApiName} string required

API Name of field to update. Must be updateable as described by Describe Program Member endpoint.

{fieldApiName2} string

API Name of another field to update (and so forth). Must be updateable as described by Describe Program Member endpoint.

Responses

200 OK ResponseOfProgramMemberData
errors array of Error required

Array of errors that occurred if the request was unsuccessful

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

moreResult boolean

Boolean indicating if there are more results in subsequent pages

nextPageToken string

Paging token given if the result set exceeded the allowed batch size

requestId string required

Id of the request made

result array of ProgramMemberStatusResponse required

Array of results for individual records in the operation, may be empty

Model ProgramMemberStatusResponse

status string required

Status of the operation performed on the record

Values updated skipped

reasons array of Reason

List of reasons why an operation did not succeed. Reasons are only present in API responses and should not be submitted

Model Reason

code string required

Integer code of the reason

message string required

Message describing the reason for the status of the operation

leadId integer (int64) required

Id of the lead associated to the program member

seq integer (int32) required

Integer indicating the sequence of the record in response. This value is correlated to the order of the records included in the request input. Seq should only be part of responses and should not be submitted.

success boolean required

Whether the request succeeded

warnings array of Warning required

Array of warnings given for the operation

Model Warning

code integer (int32) required

Integer code of the warning

message string required

Message describing the warning

Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "moreResult": false,
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "status": "updated",
      "reasons": [
        {
          "code": "string",
          "message": "string"
        }
      ],
      "leadId": 123,
      "seq": 123
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Generated from swagger-mapi.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results